
//////////////////////////////////
//                              //
//  FindOptimalSegmentations.h  //
//                              //
//////////////////////////////////

#ifndef FindOptimalSegmentations_h
#define FindOptimalSegmentations_h

#define FindOptimalSegmentation_SUCCESS                0
#define FindOptimalSegmentation_ERROR_ParameterValue  (-101)
#define FindOptimalSegmentation_ERROR_OutOfMemory     (-102)

int FindOptimalSegmentations(const double * x, const double * y, const unsigned nMax, const unsigned kMax, unsigned * segBoundaries, double * segSumErrorSquared);

#endif // FindOptimalSegmentations_h
